#ifndef TESTENTITY_H
#define TESTENTITY_H

#include <QVector>
#include <QSet>
#include "question.h"


class TestEntity
{
public:
    TestEntity();

    void setQuestions(QVector<QuestionEntity>& p_questions);
    void setName(QString& p_name);
    void setId(int p_id);

    void checkQuestions(const QVector<QSet<QString> > &p_answers);

    int getId();
    QVector<QuestionEntity> getQuestions();
    QString getName();
    unsigned int getPercentage();

private:
    QVector<QuestionEntity> questions;
    unsigned int percentage;
    int id;
    QString name;
};

#endif // TESTENTITY_H
